## org.eclipse.emf.edit.domain
Class AdapterFactoryEditingDomain.AdapterFactoryEditingDomainResourceSet

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.common.notify.impl.NotifierImpl
              org.eclipse.emf.ecore.resource.impl.ResourceSetImpl
                  org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain.AdapterFactoryEditingDomainResourceSet

All Implemented Interfaces:
  Notifier, ResourceSet, IEditingDomainProvider

Enclosing class:
  AdapterFactoryEditingDomain

    protected class AdapterFactoryEditingDomain.AdapterFactoryEditingDomainResourceSet

extends ResourceSetImpl
implements IEditingDomainProvider

This is an implementation of a context that knows about this editing domain. It is used to help implement `getEditingDomainFor(Object)` and `getEditingDomainFor(EObject)` An instance of this is created if needed in the constructor.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.resource.impl.ResourceSetImpl
`ResourceSetImpl.ResourcesEList<E extends java.lang.Object & Resource>`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.resource.impl.ResourceSetImpl
`adapterFactories, loadOptions, packageRegistry, resourceFactoryRegistry, resources, uriConverter, uriResourceMap`

Fields inherited from class org.eclipse.emf.common.notify.impl.NotifierImpl
`eAdapters, EDELIVER, eFlags, ELAST_NOTIFIER_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.resource.ResourceSet
`RESOURCE_SET__RESOURCES`

Constructor Summary
`AdapterFactoryEditingDomain.AdapterFactoryEditingDomainResourceSet()`

Method Summary
`EditingDomain` `getEditingDomain()` This returns the editing domain.

Methods inherited from class org.eclipse.emf.ecore.resource.impl.ResourceSetImpl
`createResource, delegatedGetResource, demandCreateResource, demandLoad, demandLoadHelper, getAdapterFactories, getAllContents, getEObject, getLoadOptions, getPackageRegistry, getResource, getResourceFactoryRegistry, getResources, getURIConverter, getURIResourceMap, handleDemandLoadException, setPackageRegistry, setResourceFactoryRegistry, setURIConverter, setURIResourceMap, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.NotifierImpl
`eAdapters, eBasicAdapters, eDeliver, eSetDeliver`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Constructor Detail

### AdapterFactoryEditingDomain.AdapterFactoryEditingDomainResourceSet

    public AdapterFactoryEditingDomain.AdapterFactoryEditingDomainResourceSet()

Method Detail

### getEditingDomain

    public EditingDomain getEditingDomain()

  Description copied from interface: `IEditingDomainProvider`
  This returns the editing domain. A typical usage is

         ((IEditingDomainProvider)((EObject)object).eResource().getResourceSet()).getEditingDomain();

  Specified by:
    `getEditingDomain` in interface `IEditingDomainProvider`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.